typedef struct
{
    char ville[31];
    char dep[31];
    int ddep;
    int vcand;
}voeu;

typedef struct
{
    int numcandid;
    char surname[31];
    char name[31];
    float note[4];
    int nbchoix;
    voeu* TabVoeu[20];
}candidat;

candidat* LoadCandid(int *CandidOpen,int* nbcandidat);
    /*
    Charge le fichier candidature
    Entrée : 
        Booléen Candidature par adresse pour lire la valeur dans le fichier CandidOpen;
        taille logique du tableau de candidat nbcandidat;
    Sortie : 
        tableau des candidats.
    */
void SaveCandid(int nbcandidat,candidat *tcandidat,int CandidOpen);
    /*
    Sauvegarde le fichier candidature
    Entrée : 
        taille logique de tcandidat nbcandidat;
        tableau des candidats tcandidats. 
        Booléen gérant l'ouverture ou non des candidatures CandidOpen; 
    Sortie : Aucune
    */
void RechercheCandidat(int ID, int nbcandidat,candidat* tcandidat);
    /*
    Recherche et affiche un candidat selon son ID
    Entrée : 
        ID du candidat ID;
        taille logique de tcandidat nbcandidat;
        tableau des candidats tcandidats. 
    Sortie : Aucune
    */
void ListeCandidat(int nbcandidat,candidat *tcandidat);
    /*
    Liste tout les candidats.
    Entrée : 
        taille logique de tcandidat nbcandidat;
        tableau des candidats tcandidats. 
    Sortie : Aucune
    */
void Candidater(VilleIUT* tiut[],int *tlogi, candidat* tcandidat,int numcandid);
    /*
    Permet de candidater dans un IUT
    Entrée : 
        Tableau des IUT tiut;
        taille logique de tiut tlogi;
        Booléen gérant l'ouverture ou non des candidatures CandidOpen; 
        tableau des candidats tcandidats. 
    Sortie : Aucune
    */